zfs upgrade issue zfs-0.6.3-1.el6.x86_64

Issues related to applications and software problems
frid
Posts: 4
Joined: 2014/06/16 20:34:32
Location: /dev/home

zfs upgrade issue zfs-0.6.3-1.el6.x86_64

Post by frid » 2014/06/17 12:54:38

After upgrading zfs to the late version with yum it has stooped working and I'm not able to load the module.
I have added zfs repo as in http://zfsonlinux.org/epel.html
[root@xxxx~]# modprobe zfs
FATAL: Error inserting zfs (/lib/modules/2.6.32-431.11.2.el6.x86_64/weak-updates/zfs.ko): Unknown symbol in module, or unknown parameter (see dmesg)
root@xxxx~]# dmesg
zfs: disagrees about version of symbol spl_kmem_cache_destroy
zfs: Unknown symbol spl_kmem_cache_destroy
zfs: disagrees about version of symbol spl_kmem_cache_free
zfs: Unknown symbol spl_kmem_cache_free
zfs: disagrees about version of symbol __kstat_install
zfs: Unknown symbol __kstat_install
zfs: disagrees about version of symbol spl_kmem_cache_reap_now
zfs: Unknown symbol spl_kmem_cache_reap_now
zfs: disagrees about version of symbol __kstat_delete
zfs: Unknown symbol __kstat_delete
zfs: disagrees about version of symbol spl_kmem_cache_set_move
zfs: Unknown symbol spl_kmem_cache_set_move
zfs: disagrees about version of symbol spl_kmem_cache_alloc
zfs: Unknown symbol spl_kmem_cache_alloc
zfs: disagrees about version of symbol __kstat_create
zfs: Unknown symbol __kstat_create
zfs: disagrees about version of symbol spl_kmem_cache_create
zfs: Unknown symbol spl_kmem_cache_create
[root@xxxx~]# uname -a
Linux xxxx.xx 2.6.32-431.11.2.el6.x86_64 #1 SMP Tue Mar 25 19:59:55 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

I have tried to erase and reinstall zfs and its dependencies package but that did not help.

someone who has an idea on how I solve this?
--------------
“Passwords are like underwear: you don’t let people see it, you should change it very often, and you shouldn’t share it with strangers.”
– Chris Pirillo

User avatar
TrevorH
Forum Moderator
Posts: 29134
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: zfs upgrade issue zfs-0.6.3-1.el6.x86_64

Post by TrevorH » 2014/06/17 14:30:24

I'd try updating to the latest kernel but I'm not at all confident that it will help. If it doesn't then I suggest that you report the problem to the people that produce zfs since it appears to be their module that has the problem.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

frid
Posts: 4
Joined: 2014/06/16 20:34:32
Location: /dev/home

Re: zfs upgrade issue zfs-0.6.3-1.el6.x86_64

Post by frid » 2014/06/17 19:00:21

I upgrade to kernel 3.12.22 and reinstalled zfs and now it works as is should.
--------------
“Passwords are like underwear: you don’t let people see it, you should change it very often, and you shouldn’t share it with strangers.”
– Chris Pirillo

User avatar
TrevorH
Forum Moderator
Posts: 29134
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: zfs upgrade issue zfs-0.6.3-1.el6.x86_64

Post by TrevorH » 2014/06/17 21:35:56

I didn't mean that you should use a non-CentOS kernel but the one you were running was not the latest.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

frid
Posts: 4
Joined: 2014/06/16 20:34:32
Location: /dev/home

Re: zfs upgrade issue zfs-0.6.3-1.el6.x86_64

Post by frid » 2014/06/18 08:43:19

I found that I did have repositories CentOSPlus activated. Will test to upgrade kernel to 2.6.32-431.17.1.el1.
or was it some other repositories you had in mind?
--------------
“Passwords are like underwear: you don’t let people see it, you should change it very often, and you shouldn’t share it with strangers.”
– Chris Pirillo

User avatar
TrevorH
Forum Moderator
Posts: 29134
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: zfs upgrade issue zfs-0.6.3-1.el6.x86_64

Post by TrevorH » 2014/06/18 09:00:31

2.6.32-431.17.1.el6.x86_64 is the latets CentOS 6 kernel at the present time.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

frid
Posts: 4
Joined: 2014/06/16 20:34:32
Location: /dev/home

Re: zfs upgrade issue zfs-0.6.3-1.el6.x86_64

Post by frid » 2014/06/18 15:24:50

I tested 2.6.32-431.17.1.el6.centos.plus.x86_64 kernel and that worked as well.
--------------
“Passwords are like underwear: you don’t let people see it, you should change it very often, and you shouldn’t share it with strangers.”
– Chris Pirillo

User avatar
TrevorH
Forum Moderator
Posts: 29134
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: zfs upgrade issue zfs-0.6.3-1.el6.x86_64

Post by TrevorH » 2014/06/18 15:52:18

Perhaps zfs builds depend on specific kernels?
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

User avatar
jlehtone
Posts: 2934
Joined: 2007/12/11 08:17:33
Location: Finland

Re: zfs upgrade issue zfs-0.6.3-1.el6.x86_64

Post by jlehtone » 2014/06/18 19:55:36

Could be, although I seem to have installed zfs-0.6.2 (updated from 0.6.1) on a test machine that had kernel-2.6.32-358.11.1.el6.x86_64 and have installed some seven kernel versions since, so 0.6.2 (w/ dkms) was not particularly nit-picky.

On the other hand:

Code: Select all

Error: Package: zfs-dkms-0.6.3-1.el6.noarch (zfs)
           Requires: dkms >= 2.2.0.3-20
           Installed: dkms-2.2.0.3-14.zfs1.el6.noarch (@zfs)

Error: Package: zfs-dkms-0.6.2-1.el6.noarch (@zfs)
           Requires: dkms = 2.2.0.3-14.zfs1.el6
           Removing: dkms-2.2.0.3-14.zfs1.el6.noarch (@zfs)
               dkms = 2.2.0.3-14.zfs1.el6
           Updated By: dkms-2.2.0.3-20.el6.noarch (epel)
               dkms = 2.2.0.3-20.el6
For some reason the ZFS repo did provide dkms for 0.6.2, but the 0.6.3 is apparently built against EPEL's dkms. No time to test now, but a kernel version dependency is plausible.

TopQuark
Posts: 1
Joined: 2014/06/19 17:30:46

Re: zfs upgrade issue zfs-0.6.3-1.el6.x86_64

Post by TopQuark » 2014/06/19 17:39:30

Works for me in epel after upgrading dkms:

Download the latest epel-release rpm from http://dl.fedoraproject.org/pub/epel/6/x86_64/
# rpm -Uvh epel-release*rpm
# yum install dkms

Code: Select all

> yum install dkms
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
 * base: linux.mirrors.es.net
 * epel: mirrors.solfo.com
 * extras: linux.mirrors.es.net
 * updates: mirror.web-ster.com
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package dkms.noarch 0:2.2.0.3-14.zfs1.el6 will be updated
--> Processing Dependency: dkms = 2.2.0.3-14.zfs1.el6 for package: zfs-dkms-0.6.2-1.el6.noarch
---> Package dkms.noarch 0:2.2.0.3-20.el6 will be an update
--> Running transaction check
---> Package zfs-dkms.noarch 0:0.6.2-1.el6 will be updated
---> Package zfs-dkms.noarch 0:0.6.3-1.el6 will be an update
--> Processing Dependency: spl-dkms = 0.6.3 for package: zfs-dkms-0.6.3-1.el6.noarch
--> Running transaction check
---> Package spl-dkms.noarch 0:0.6.2-1.el6 will be updated
---> Package spl-dkms.noarch 0:0.6.3-1.el6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package           Arch            Version                  Repository     Size
================================================================================
Updating:
 dkms              noarch          2.2.0.3-20.el6           epel           75 k
Updating for dependencies:
 spl-dkms          noarch          0.6.3-1.el6              zfs           481 k
 zfs-dkms          noarch          0.6.3-1.el6              zfs           1.8 M

Transaction Summary
================================================================================
Upgrade       3 Package(s)

------------------------------
Deleting module version: 0.6.2
completely from the DKMS tree.
------------------------------
Done.

  Cleanup    : dkms-2.2.0.3-14.zfs1.el6.noarch                              6/6 
  Verifying  : zfs-dkms-0.6.3-1.el6.noarch                                  1/6 
  Verifying  : spl-dkms-0.6.3-1.el6.noarch                                  2/6 
  Verifying  : dkms-2.2.0.3-20.el6.noarch                                   3/6 
  Verifying  : zfs-dkms-0.6.2-1.el6.noarch                                  4/6 
  Verifying  : spl-dkms-0.6.2-1.el6.noarch                                  5/6 
  Verifying  : dkms-2.2.0.3-14.zfs1.el6.noarch                              6/6 

Updated:
  dkms.noarch 0:2.2.0.3-20.el6                                                  

Dependency Updated:
  spl-dkms.noarch 0:0.6.3-1.el6          zfs-dkms.noarch 0:0.6.3-1.el6         

Complete!


Post Reply

Return to “CentOS 6 - Software Support”